<?php

$status = array
(
	1 => '是',
	2 => '否',
);
return array
(
	# 表名
	'name' => 'address',
	# 显示给用户看的名称
	'lang' => '收货地址',
	# 后台菜单排序
	'order' => 5,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			//'list'		=> true,
			'order'		=> 'desc',
		),

		'uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户名',
			'default' 	=> '',
			'desc' 		=> '用户名',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> 'Dever::load("passport/user-one#username", "{uid}")',
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '收货姓名',
			'default' 	=> '',
			'desc' 		=> '请输入收货姓名',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'mobile'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '联系电话',
			'default' 	=> '',
			'desc' 		=> '请输入联系电话',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'address'		=> array
		(
			'type' 		=> 'varchar-800',
			'name' 		=> '收货地址',
			'default' 	=> '',
			'desc' 		=> '请输入收货地址',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'status'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '是否默认地址',
			'default' 	=> '1',
			'desc' 		=> '是否默认地址',
			'match' 	=> 'is_numeric',
			//'update'	=> 'radio',
			//'option'	=> $status,
			//'list'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'delete' => false,
		'edit' => false,
		'insert' => false,
	),
);
