<?php

$share = function()
{
	$array = array();
	$info = Dever::load('poster/template-state');
	if($info)
	{
		$array += $info;
	}
	return $array;
};
return array
(
	# 表名
	'name' => 'info',
	# 显示给用户看的名称
	'lang' => '产品列表',
	# 后台菜单排序
	'order' => 10,
	'end' => array
	(
		'update' => 'code/lib/manage.create',
		'insert' => 'code/lib/manage.create',
	),
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			//'list'		=> true,
			'order'		=> 'desc',
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '产品名称',
			'default' 	=> '',
			'desc' 		=> '请输入产品名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'pic'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '产品封面-图片大小：750px*390px',
			'default' 	=> '',
			'desc' 		=> '产品封面',
			'match' 	=> 'is_string',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150',
		),

		'price'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '显示价格-前台显示的价格，请加上单位',
			'default' 	=> '',
			'desc' 		=> '显示价格',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'pay_price'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '支付价格-直接输入数字，单位人民币',
			'default' 	=> '',
			'desc' 		=> '支付价格',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'code'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> '兑换码数量-直接填写数字即可，系统将自动生成对应数量的兑换码',
			'default' 	=> '',
			'desc' 		=> '兑换码数量',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'show'		=> 'type=2',
		),

		'focus'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '产品焦点图',
			'default' 	=> '',
			'desc' 		=> '产品焦点图',
			'match' 	=> 'option',
			//'update'	=> 'images',
			'key' 		=> '1',
			'place'		=> '150',
		),

		'share'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '产品分享海报',
			'default' 	=> '',
			'desc' 		=> '产品分享海报',
			'match' 	=> 'option',
			'update'	=> 'checkbox',
			'option'	=> $share,
		),

		/*
		'share_pic'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '分享海报图-如果为空，则读取基本配置中的海报图。图片大小：750px*390px',
			'default' 	=> '',
			'desc' 		=> '分享海报图',
			'match' 	=> 'option',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150',
		),
		*/

		'content'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '产品介绍',
			'default' 	=> '',
			'desc' 		=> '产品介绍',
			'match' 	=> 'is_string',
			'update'	=> 'editor',
		),
		
		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'list_button' => array
		(
			'list1' => array('兑换码列表', '"info&project=code&search_option_product_id={id}&oper_parent=info&oper_project=product"'),
		)
	),

	'request' => array
	(
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc', 'cdate' => 'desc'),
			'page' => array(10, 'list'),
			'col' => 'id,name,pic,price,pay_price,reorder,cdate,state,share,focus',
		),
	),
);
