<?php

$type = array
(
	1 => '购买',
	2 => '兑换',
);

$status = array
(
	1 => '待支付',
	2 => '已支付',
	3 => '支付失败',
);

$fastatus = array
(
	1 => '未发货',
	2 => '已发货',
	3 => '已收货',
);

$product = function()
{
	return Dever::db('product/info')->state();
};

return array
(
	# 表名
	'name' => 'order',
	# 显示给用户看的名称
	'lang' => '订单管理',
	'order' => 100,
	/*
	'end' => array
	(
		'update' => 'service/lib/manage.order',
	),
	*/
	# 数据结构
	'struct' => array
	(
	
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			//'list'		=> true,
		),

		'order_id'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '订单id',
			'default' 	=> '',
			'desc' 		=> '付款订单id',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
			'list'		=> '"{order_id}" ? "{order_id}" : "{code}"',
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '订单名称',
			'default' 	=> '',
			'desc' 		=> '订单名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list_name'	=> '订单信息',
			'list'		=> 'Dever::load("product/lib/manage.showOrderUser", "{id}")',
		),

		'uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户信息',
			'default' 	=> '',
			'desc' 		=> '用户信息',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
		),

		'invite_uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '邀请人',
			'default' 	=> '',
			'desc' 		=> '邀请人',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
		),

		'product_id'		=> array
		(
			'type' 		=> 'varchar-800',
			'name' 		=> '产品名',
			'default' 	=> '',
			'desc' 		=> '产品名',
			'match' 	=> 'is_string',
			'update'	=> 'select',
			'option'	=> $product,
			//'search'	=> 'select',
			'list'		=> true,
		),

		'type'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '支付方式',
			'default' 	=> '1',
			'desc' 		=> '支付方式',
			'match' 	=> 'is_numeric',
			'option' 	=> $type,
			'search'	=> 'select',
			'update'	=> 'checkbox',
			//'list'		=> true,
		),

		'notice'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '模板消息提醒次数',
			'default' 	=> '0',
			'desc' 		=> '模板消息提醒次数',
			'match' 	=> 'is_numeric',
		),

		'num'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> '数量',
			'default' 	=> '1',
			'desc' 		=> '数量',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			//'list'		=> true,
		),

		'cash'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> '支付金额',
			'default' 	=> '',
			'desc' 		=> '支付金额',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			//'list'		=> true,
		),

		'code'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> '使用的兑换码',
			'default' 	=> '',
			'desc' 		=> '使用的兑换码',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			//'list'		=> true,
		),

		'status'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '订单状态',
			'default' 	=> '1',
			'desc' 		=> '请选择订单状态',
			'match' 	=> 'is_numeric',
			'option' 	=> $status,
			'search'	=> 'select',
			'update'	=> 'radio',
			'list'		=> true,
		),

		'address_name'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '收货姓名',
			'default' 	=> '',
			'desc' 		=> '请输入收货姓名',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			//'search'	=> 'fulltext',
			//'list'		=> true,
		),

		'address_mobile'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '联系电话',
			'default' 	=> '',
			'desc' 		=> '请输入联系电话',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			//'search'	=> 'fulltext',
			//'list'		=> true,
		),

		'address_address'		=> array
		(
			'type' 		=> 'varchar-800',
			'name' 		=> '收货地址',
			'default' 	=> '',
			'desc' 		=> '请输入收货地址',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			//'search'	=> 'fulltext',
			//'list'		=> true,
		),

		'fastatus'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '发货状态',
			'default' 	=> '1',
			'desc' 		=> '发货状态',
			'match' 	=> 'is_numeric',
			'option' 	=> $fastatus,
			'search'	=> 'select',
			'update'	=> 'radio',
			'list'		=> true,
			//'edit'		=> true,
		),

		'fa_desc'		=> array
		(
			'type' 		=> 'varchar-300',
			'name' 		=> '发货快递号',
			'default' 	=> '',
			'desc' 		=> '发货快递号',
			'match' 	=> 'option',
			'update'	=> 'textarea',
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '申请时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'delete' => false,
		'edit' => false,
		'insert' => false,

		'list_button' => array
		(
			'edit' => array('发货', 'fastatus,order_id,fa_desc', '{status} > 1'),
		)
	),

	'request' => array
	(
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'uid' => 'yes',
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('cdate' => 'desc'),
			'page' => array(10, 'list'),
			'col' => '*',
		),

		'getYes' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'product_id' => 'yes',
				'feedback_status' => array('yes', '>='),
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('cdate' => 'desc'),
			'col' => '*',
		),

		# 获取提交订单超过12个小时并且没有提交问卷的
		'getDataByTime' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'cdate' => array('yes', '>='),
				'feedback_status' => array(2, '<='),
				'notice' => array(1, '<'),
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('cdate' => 'desc'),
			'col' => '*',
		),
	),
);
